A simple implementation of the model discussed in idtraker.ai where the CNN has a spatial transformer layer, implemented as described in
Jaderberg, Max, Karen Simonyan, and Andrew Zisserman. "Spatial transformer networks."
https://arxiv.org/abs/1506.0202